%define LIBVER 62.0.0
Summary: Library for handling different jpeg files.
Name: libjpeg
Version: 6b
Release: 7
Copyright: distributable
Group: Libraries
Source0: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.gz
Buildroot: /var/tmp/libjpeg-root
Summary(de): Library zum Verarbeiten verschiedener jpeg-Dateien
Summary(fr): Bibliothque pour grer diffrents fichiers jpeg
Summary(tr): jpeg resimlerini ileme kitapl

%package devel
Summary: headers and static libraries for developing programs using libjpeg
Group: Development/Libraries
Requires: libjpeg
Summary(de): Header und statische Libraries zum Entwickeln von Programmen mit libjpeg
Summary(fr): Bibliothques statiques et en-ttes pour dvelopper avec libjpeg
Summary(tr): libjpeg iin gelitirme kitaplklar ve balk dosyalar

%description
This package is a library of functions that manipulate jpeg images, along
with simple clients for manipulating jpeg images.

%description devel
This package is all you need to develop programs that manipulate jpeg
images, including documentation.

%description -l de devel
Dieses Paket bietet alles, was Sie brauchen, um Programme zur Manipulation
von jpeg-Grafiken, einschlielich Dokumentation, zu entwickeln.

%description -l de
Dieses Paket ist eine Library mit Funktionen zur Manipulation von 
jpeg-Bildern, zusammen mit einfachen Clients zur Manipulation von jpeg-


%description -l fr devel
Ce package est tout ce dont vous avez besoin pour dvelopper des
programmes manipulant des images jpg, et comprend la documentation.

%description -l fr
Bibliothque de fonctions qui manipulent des images jpeg, et clients simples
pour manipuler de telles images.

%description -l tr devel
Bu paket, jpeg resimlerini ileyen programlar gelitirmeniz iin gereken
balk dosyalarn, kitaplklar ve ilgili yardm belgelerini ierir.

%description -l tr
Bu paket, jpeg ekillerini ilemek iin kitaplklar ve basit istemciler ierir.

%prep
%setup -q -n jpeg-6b

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --enable-static
make
LD_LIBRARY_PATH=$PWD make test

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin,man/man1}
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/* || :

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/libjpeg.so.%{LIBVER}
/usr/bin/*
/usr/man/*/*

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/lib/*.la
/usr/lib/*.so
/usr/include/*.h

%changelog
* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package
